## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybasesqlmodelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybasesqlmodelFactoryImpl

    public interface SybasesqlmodelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SybasesqlmodelPackage`

Field Summary
`static SybasesqlmodelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`SybaseAuthorizationIdentifier` `createSybaseAuthorizationIdentifier()` Returns a new object of class 'Sybase Authorization Identifier'.
`SybaseBaseTable` `createSybaseBaseTable()` Returns a new object of class 'Sybase Base Table'.
`SybaseIndexMember` `createSybaseIndexMember()` Returns a new object of class 'Sybase Index Member'.
`SybaseParameter` `createSybaseParameter()` Returns a new object of class 'Sybase Parameter'.
`SybasePrivilege` `createSybasePrivilege()` Returns a new object of class 'Sybase Privilege'.
`SybaseViewTable` `createSybaseViewTable()` Returns a new object of class 'Sybase View Table'.
`SybasesqlmodelPackage` `getSybasesqlmodelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SybasesqlmodelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSybaseParameter

    SybaseParameter createSybaseParameter()

  Returns a new object of class 'Sybase Parameter'.

  Returns:
    a new object of class 'Sybase Parameter'.

### createSybaseBaseTable

    SybaseBaseTable createSybaseBaseTable()

  Returns a new object of class 'Sybase Base Table'.

  Returns:
    a new object of class 'Sybase Base Table'.

### createSybaseViewTable

    SybaseViewTable createSybaseViewTable()

  Returns a new object of class 'Sybase View Table'.

  Returns:
    a new object of class 'Sybase View Table'.

### createSybaseAuthorizationIdentifier

    SybaseAuthorizationIdentifier createSybaseAuthorizationIdentifier()

  Returns a new object of class 'Sybase Authorization Identifier'.

  Returns:
    a new object of class 'Sybase Authorization Identifier'.

### createSybaseIndexMember

    SybaseIndexMember createSybaseIndexMember()

  Returns a new object of class 'Sybase Index Member'.

  Returns:
    a new object of class 'Sybase Index Member'.

### createSybasePrivilege

    SybasePrivilege createSybasePrivilege()

  Returns a new object of class 'Sybase Privilege'.

  Returns:
    a new object of class 'Sybase Privilege'.

### getSybasesqlmodelPackage

    SybasesqlmodelPackage getSybasesqlmodelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.